<div class="pagination-controls">

  <button (click)="prevPage()"
          [disabled]="paginationCurrentPage === 1"
          class="prev-button">Precedent</button>

  <div class="pagination-numbers">
    <div *ngFor="let pageNum of getPageNumbers()">
      <button (click)="setPage(pageNum)"
              [class.active]="pageNum === paginationCurrentPage"
              class="page-numbers">{{ pageNum }}</button>
    </div>
  </div>

  <button (click)="nextPage()"
          [disabled]="paginationCurrentPage === totalPage"
          class="next-button">Suivant</button>

</div>

